import pygame
from pygame.locals import *
import os

import sound
import utils
import data

def check_input(start_time, delay):
    while pygame.time.get_ticks() - start_time < delay:
        for event in pygame.event.get():
            if event.type == KEYDOWN:
                if event.key == K_ESCAPE or \
                        event.key == K_RETURN or \
                        event.key == K_SPACE:
                    return True
    return False

def play(images, blank_color=(255,255,255)):
    # Oooh! Naughty!
    screen = pygame.display.get_surface()

    # Play silly sound

    # For image = ""
    img = pygame.Surface((800, 600))

    for image, seconds in images:
        if image == "":
            img.fill(blank_color)
        else:
            img = data.load_image(image)
        screen.blit(img, (0,0))
        pygame.display.flip()
        
        end = check_input(pygame.time.get_ticks(), seconds * 1000)
        if end:
            break

def play_intro():
    images = [("intro1.png", 5), ("", 0.3), ("intro0.png", 5)]
    play(images)

def play_credits(first_image):
    play([(first_image, 14), ("", 2)], blank_color=(0,0,0))

    pygame.mixer.music.load(os.path.join(sound.music_dir, "litenand4.ogg"))
    pygame.mixer.music.play() # Only play once
    images = [("credits1.jpg", 8), ("walrus.jpg", 8), ("jakob.jpg", 8), ("jonne.jpg", 8), ("eric.jpg", 8), ("krille.jpg", 8), ("ullis.jpg", 8), ("felix.png", 6)]
    play(images)
    #sound.stop_music()
    return
